package com.td.boss.config.enums;

import lombok.Getter;

/**
 * 返回的
 * @author:slambb
 * @date:2019/12/5
 */
@Getter
public enum ResultEnum {
    SUCCESS(0,"成功"),
    //token数据
    TOKEN_SUCCESS(300,"用户授权认证通过!"),
    TOKEN_IS_ILLEGAL(301,"用户授权认证没有通过!客户端请求参数TOKEN信息无效"),
    TOKEN_DOES_NOT_EXIST(302,"用户授权认证没有通过!客户端请求参数中无TOKEN信息"),
    TOKEN_OUT_OF_DATE(303,"用户授权认证没有通过!TOKEN过期，重新获取"),
    TOKEN_DOES_NOT_HAVE_USER_ID(304,"用户授权认证没有通过!TOKEN不存在用户id"),
    NO_PARAMETERS_CARRIED(305,"输入对应参数"),
    //用户数据
    USER_DOES_NOT_EXIST(400,"不能存在用户信息！"),
    USER_ENERGY_IS_INSUFFICIENT(401,"用户能量不足！"),
    //角色数据
    PLAYER_DOES_NOT_EXIST(500,"不能存在角色信息！"),
    PLAYER_DOES_NOT_ATTRIBUTES(501,"battle player 数据不存在！"),

    PLAYER_GOODS_LIMIT_ERROR(510,"背包超过预设长度！"),
    PLAYER_NO_CHEST_INFO(511,"没有对应宝箱类型信息"),
    PLAYER_NO_EQUIP_TYPE(512,"没有对应装备信息"),
    PLAYER_GOODS_NO_CHEST(513,"背包没有对应宝箱"),
    PLAYER_GOODS_NOT_CHEST_TYPE(514,"不是宝箱类型对象"),
    PLAYER_GOODS_WEAR_NUM_ERROR(515,"请输入对应的参数,isWear:0或者1"),
    PLAYER_GOODS_NO_QUIP_REQUIRED(516,"不用获取多余装备"),
    //boss数据
    BOSS_DOES_NOT_EXIST(600,"不存在boss信息！"),
    BOSS_HEALTH_IS_ZERO(601,"boss血量为零！"),
    BOSS_NOT_ATTRIBUTES(602,"bossId对应的属性不存在！"),
    BOSS_BATTLE_EXPIRED(605,"boss战斗已到期"),

    BOSS_DESCRIBE_LIST_ZERO(603,"bosses 描述的表格数据不存在！"),
    BOSS_AND_PLAYERS_IN_BATTLE(604,"其他玩家正在战斗中.."),
    BOSS_BATTLE_EXPIRE(605,"战斗时间已结束！");

    ;
    private Integer code;

    private String message;

    ResultEnum(Integer code, String message) {
        this.code = code;
        this.message = message;
    }
}
